/{organizationId}/{mandateId}/booking/categories/{categoryId}Get category
Returns a specific booking category with all of its details for a given mandate
Required permissions:
mandate.read
bookingCategory.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired categoryIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/categories/{categoryId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
namestringrequired minLength: 1
maxLength: 60
nameNormalizedstringrequired minLength: 1
maxLength: 60
descriptionstringrequired maxLength: 200
appliesTostringrequired Options:
alleventsresourcesResponse
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"name": "string",
"nameNormalized": "string",
"description": "string",
"appliesTo": "all"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}